Retrives a meeting
curl --request GET \
--url https://api.meetgeek.ai/v1/meetings/{meetingId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetgeek.ai/v1/meetings/{meetingId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetgeek.ai/v1/meetings/{meetingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"host_email": "[email protected]",
"language": "en-US",
"meeting_id": "7e0f1953-b2ce-45b8-97b2-03c09da3a602",
"participant_emails": [
"[email protected]",
"[email protected]"
],
"source": "google",
"join_link": "https://meet.google.com/jcn-vnax-tkf",
"timestamp_end_utc": "2024-08-08T14:00:34Z",
"timestamp_start_utc": "2024-08-08T13:00:38Z",
"timezone": "Europe/Paris",
"title": "All-hands Meeting",
"template": {
"id": 611549,
"name": "General meeting"
},
"team_ids": [
123,
456
],
"event_id": "0qbhrdosgr33g7s49nq9h3uml7_20250918T080000Z"
}{
"message": "bad request",
"reason": "missing api key"
}{
"message": "unauthorized"
}{
"message": "you do not have access to view this meeting"
}{
"message": "target resource is no longer available"
}{
"message": "quota limit reached",
"unit": "day"
}{
"message": "internal server error"
}API Reference
Get meeting
Get meeting details given a meeting id
GET
/
v1
/
meetings
/
{meetingId}
Retrives a meeting
Authorizations
Type "Bearer" followed by a space and a token
Path Parameters
Meeting ID
Response
OK
Example:
Example:
"en-US"
Example:
"7e0f1953-b2ce-45b8-97b2-03c09da3a602"
Example:
Example:
"google"
Example:
"https://meet.google.com/jcn-vnax-tkf"
Example:
"2024-08-08T14:00:34Z"
Example:
"2024-08-08T13:00:38Z"
Example:
"Europe/Paris"
Example:
"All-hands Meeting"
Show child attributes
Show child attributes
Team IDs for the teams that have access to this meeting
Example:
[123, 456]
Internal event identifier from the calendar provider
Example:
"0qbhrdosgr33g7s49nq9h3uml7_20250918T080000Z"
⌘I